;*
;***************************** ***********************
;*
;*  ATtiny25, RC- 8,0 
;*   - 100 
;*
;* Main:           
;*
;* Fuses          CKSEL=0010, SUT=10
;*                
;****************************************************************************

.nolist
.include "tn25def.inc"
.list

;*****  *****

.def	t1	 = r16     ;   
.def	t2	 = r17     ;            

.cseg

.org 0
	rjmp Initial		 ;  

.org 1
	rjmp Prot    		 ;   


Initial: ;  
	
ldi   t1,(RamEnd)
    out   spl,t1	    ;  

   	ldi	t1,0b00000100  
	out	PORTB,t1        ; PB0,PB1- - A, PB2-I., 
	ldi	t1,0b00011011	; PB3,PB4- - B	
	out	DDRB,t1	
		    
ldi t1,(1<<DTPS1);|(1<<DTPS0) ; 8 , 0,5 
out DTPS,t1

ldi t1,(1<<DTVH1)|(1<<DTVL1); 0,5*2=1,0 
out DTVALA,t1
ldi t1,(1<<DTVH2)|(1<<DTVH0)|(1<<DTVL2)|(1<<DTVL0); 0,5*5=2,5 
out DTVALB,t1

ldi  t1,40           ;    
out  OCR1A,t1
out  OCR1B,t1
ldi t1,79
out  OCR1C,t1 	     ;   = 100 

sei                  ;   

Main: ;  

ldi t1,1<<INT0
out GIMSK,t1		;   ,   
ldi  t1,0           ;    T1
out  TCNT1,t1
ldi t1,(1<<PWM1A)|(1<<COM1A0)|(1<<CS10)
out TCCR1,t1 ;   T1, ,    CK=8 
ldi t1,(1<<PWM1B)|(1<<COM1B0)
out GTCCR,t1 ;   B, 
wdr					;   
ldi t1,1<<WDE
out WDTCR,t1		;    

Main2:;   
nop
nop
nop
wdr					;   
nop
nop
nop
rjmp Main2
 
Prot: ;   
ldi t1,0
out TCCR1,t1        ;   , A
out GTCCR,t1        ;   , B
reti

 
;*********************************************************************************
.Exit

